> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Companies

> - Get search results. Please make sure the search is done before calling this endpoint.

- Pricing: 1 credit per result.

* Get search results. Please make sure the search is **done** before calling this endpoint.

* Pricing: **1 credits** per result.

```bash cURL theme={null}
curl --request GET \
	--url 'https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o' \
	--header 'x-rapidapi-host: live-fetch.p.rapidapi.com' \
	--header 'x-rapidapi-key: YOUR_RAPIDAPI_KEY'
```

```python Python theme={null}
import requests

url = "https://live-fetch.p.rapidapi.com/get-search-companies-results"

querystring = {
    "request_id": "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
}

headers = {
    "x-rapidapi-key": "YOUR_RAPIDAPI_KEY",
    "x-rapidapi-host": "live-fetch.p.rapidapi.com"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript JavaScript theme={null}
const params = new URLSearchParams({
	request_id: "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
});

const url = `https://live-fetch.p.rapidapi.com/get-search-companies-results?${params}`;
const options = {
	method: 'GET',
	headers: {
		'x-rapidapi-key': 'YOUR_RAPIDAPI_KEY',
		'x-rapidapi-host': 'live-fetch.p.rapidapi.com'
	}
};

try {
	const response = await fetch(url, options);
	const result = await response.json();
	console.log(result);
} catch (error) {
	console.error(error);
}
```

```php PHP theme={null}
<?php

$query = http_build_query([
	'request_id' => "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"
]);

$curl = curl_init();

curl_setopt_array($curl, [
	CURLOPT_URL => "https://live-fetch.p.rapidapi.com/get-search-companies-results" . "?" . $query,
	CURLOPT_RETURNTRANSFER => true,
	CURLOPT_CUSTOMREQUEST => "GET",
	CURLOPT_HTTPHEADER => [
		"x-rapidapi-host: live-fetch.p.rapidapi.com",
		"x-rapidapi-key: YOUR_RAPIDAPI_KEY"
	],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
	echo "cURL Error #:" . $err;
} else {
	echo $response;
}
```

```go Go theme={null}
package main

import (
	"fmt"
	"io"
	"net/http"
	"net/url"
)

func main() {
	params := url.Values{}
	params.Add("request_id", "ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o")

	req, _ := http.NewRequest("GET", "https://live-fetch.p.rapidapi.com/get-search-companies-results?"+params.Encode(), nil)

	req.Header.Add("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
	req.Header.Add("x-rapidapi-host", "live-fetch.p.rapidapi.com")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))
}
```

```java Java theme={null}
HttpRequest request = HttpRequest.newBuilder()
		.uri(URI.create("https://live-fetch.p.rapidapi.com/get-search-companies-results?request_id=ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o"))
		.header("x-rapidapi-key", "YOUR_RAPIDAPI_KEY")
		.header("x-rapidapi-host", "live-fetch.p.rapidapi.com")
		.method("GET", HttpRequest.BodyPublishers.noBody())
		.build();
HttpResponse<String> response = HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
```


## OpenAPI

````yaml GET /get-search-companies-results
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://live-fetch.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-search-companies-results:
    get:
      description: >-
        - Get search results. Please make sure the search is done before calling
        this endpoint.


        - Pricing: 1 credit per result.
      parameters:
        - name: request_id
          in: query
          required: true
          schema:
            type: string
            example: ba072fac0b38d12378ef5023742f0184s34e1i8n2a7p0m9o
          description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetCompanies'
        '400':
          description: Invalid request_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidRequestID'
        '503':
          description: System error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetCompanies:
      type: object
      properties:
        data:
          type: array
          items:
            type: object
            properties:
              company_id:
                type: string
                example: '2966330'
              company_name:
                type: string
                example: P&C Global
              description:
                type: string
                example: Welcome to P&C Global...
              domain:
                type: string
                example: pandcglobal.com
              employee_count:
                type: integer
                example: 77
              employee_range:
                type: string
                example: 5001-10000
              follower_count:
                type: integer
                example: 10866
              hq_city:
                type: string
                example: Toronto
              hq_country:
                type: string
                example: CA
              hq_full_address:
                type: string
                example: 1 Dundas St W, 25th Floor, Toronto, Ontario M5G 1Z3, CA
              linkedin_url:
                type: string
                format: uri
                example: https://www.linkedin.com/company/pandcglobal
              industry:
                type: string
                example: Business Consulting and Services
              logo_url:
                type: string
                format: uri
                example: https://media.licdn.com/dms/image/v2/.../logo.png
              year_founded:
                type: integer
                example: 2012
              hq_address_line1:
                type: string
                example: 1 Apple Park Way
              hq_address_line2:
                type: string
                example: ''
              hq_postalcode:
                type: string
                example: '95014'
              hq_region:
                type: string
                example: California
              industries:
                type: array
                items:
                  type: string
                  example: Computers and Electronics Manufacturing
              locations:
                type: array
                items:
                  type: object
                  properties:
                    city:
                      type: string
                      example: Cupertino
                    country:
                      type: string
                      example: US
                    full_address:
                      type: string
                      example: 1 Apple Park Way, Cupertino, California 95014, US
                    is_headquarter:
                      type: boolean
                      example: true
                    line1:
                      type: string
                      example: 1 Apple Park Way
                    line2:
                      type: string
                      example: ''
                    region:
                      type: string
                      example: California
                    zipcode:
                      type: string
                      example: '95014'
              specialties:
                type: string
                example: >-
                  Innovative Product Development, World-Class Operations,
                  Retail, Telephone Support
              tagline:
                type: string
                example: ''
              website:
                type: string
                example: http://www.apple.com/careers
            required:
              - company_id
              - company_name
              - domain
              - linkedin_url
        message:
          type: string
          example: Search results retrieved successfully.
        companies_scraped_so_far:
          type: integer
          example: 25
        search_params:
          type: object
          properties:
            limit:
              type: integer
              example: 25
            url:
              type: string
              example: >-
                https://www.linkedin.com/sales/search/company?query=(filters%3AList((type%3ACOMPANY_HEADCOUNT%2Cvalues%3AList((id%3AI%2Ctext%3A10%252C001%252B%2CselectionType%3AINCLUDED)))%2C(type%3AREGION%2Cvalues%3AList((id%3A103644278%2Ctext%3AUnited%2520States%2CselectionType%3AINCLUDED)))))&sessionId=42JKc8xlQo%2BNESlB%2FFntuQ%3D%3D&viewAllFilters=true
        total_count:
          type: integer
          example: 1256
      required:
        - data
        - message
    InvalidRequestID:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid request_id.'
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: >-
            System error. You will not be charged for this request. We will fix
            it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.